# GimpUi.ZoomModel.zoom_step

    function zoom_step(zoom_type: GimpUi.ZoomType, scale: Number(gdouble), delta: Number(gdouble)): Number(gdouble) {
        // Gjs wrapper for gimp_zoom_model_zoom_step()
    }

Utility function to calculate a new scale factor.

zoom_type

  the zoom type

scale

  ignored unless zoom_type == %GIMP_ZOOM_TO

delta

  the delta from a smooth zoom event

Returns

  the new scale factor

  Since GIMP 2.4